<div ng-controller="SectorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Mantenimiento</a>
          </li>
          <li>
            <a>Sector</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE SECTORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Sector">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button ng-if="permisosHas('mantenimiento.registrar')" class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar sector</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{sectores.length}} SECTORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="sectores.length > 0">
                    <div class="table-responsive">
                      <table class="table table-hover">
                        <thead>
                          <tr>
                            <th>SECTOR</th>
                            <th>UBICACIÓN</th>
                            <th>SECTOR</th>
                            <th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">OPCIONES</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr dir-paginate="sector in sectores |filter: buscar | itemsPerPage: 10" pagination-id="sector.id">
                            <td>{{sector.nombre | uppercase}}</td>
                            <td>{{sector.ubicacion | uppercase}}</td>
                            <td>
                              <button class="btn btn-blue btn-sm btn-border btn-rounded-10" title="DELEGADO DEL SECTOR {{sector.nombre}}" ng-click="load(sector);openModalDelegado($event)" data-options="splash-2 splash-ef-14"><span class=" icon-user-follow"></span> gestión delegados</button>
                            </td>
                            <td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
                              <div class="input-group-btn">
                                <button ng-if="permisosHas('mantenimiento.actualizar')" class="btn btn-info btn-border btn-radius-left" ng-class="{'btn-radius-right' : !permisosHas('mantenimiento.eliminar')}" title="EDITAR SECTOR {{sector.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(sector);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                <button ng-if="permisosHas('mantenimiento.eliminar')" class="btn btn-danger btn-border btn-radius-right" ng-class="{'btn-radius-left' : !permisosHas('mantenimiento.actualizar')}" title="ELIMINAR SECTOR {{sector.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(sector);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                              </div>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="sector.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="sectores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay sectores registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="sector_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Sector"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombre<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombre" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="ubicacion">Ubicación<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="ubicacion" ng-model="obj.ubicacion" placeholder="Ubicación" required> 
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="delegado_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <h3 class="modal-title font-ligth"><i class="icon-people"></i> Gestión de Delegados</h3>
      </div>            
    </div>
    <div class="modal-body">

      <div ng-if="!isAdd">
        <div class="row">
          <div class="col-md-4">
            
          </div>
          <div class="col-md-4"></div>
          <div class="col-md-4">
            <button class="btn btn-success btn-border btn-block btn-rounded-10" ng-click="new()">
              <span class="fa fa-plus"></span> cambiar delegado
            </button>
          </div>
        </div>
        <br>
        <div class="row" ng-if="isLoading">
          <div class="col-md-12">
            <loading></loading>
          </div>
        </div>
        <div class="row" ng-if="!isLoading">
          <div class="col-md-12" ng-if="delegados.length > 0">
            <div class="table-responsive">
              <table class="table table-hover table-bordered">
                <thead>
                  <tr>
                    <th>Nombres y Apellidos</th>
                    <th class="text-center">Fecha de Inicio</th>
                    <th class="text-center">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <tr dir-paginate="delegado in delegados | itemsPerPage: 7" pagination-id="delegado.id">
                    <td>{{delegado.fullname}}</td>
                    <td class="text-center">{{delegado.fecha_inicio_cargo}}</td>
                    <td class="text-center">
                      <button class="btn btn-danger btn-xs btn-border btn-rounded-10" ng-click="quitarDelegado(delegado)"><span class="fa fa-trash"></span> Eliminar</button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div class="text-center">
              <dir-pagination-controls pagination-id="delegado.id"></dir-pagination-controls>
            </div>
          </div>
          <div class="col-md-12" ng-if="delegados.length == 0">
            <p class="text-center">
              <i class="fa fa-inbox fa-4x"></i>
              <h5 class="text-center">no hay delegados asignados...</h5>
            </p>
          </div>
        </div>
        <div class="mt-20">
            <div class="text-center">
              <button class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cerrar</button>
          </div>
       </div>
      </div>
      <div class="row" ng-if="isAdd">
        <div class="col-md-12">
          <form ng-submit="asignarDelegado()">
            <label class="label label-primary">CAMBIO DE DELEGADO</label>
            <div class="row" style="border: 1px solid blue;margin-left: 1px;margin-right: 1px;    border-radius: .25em;padding: 2px;">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="id_productor">Productor</label>
                  <select class="form-control uppercase" ng-model="model.id_productor" ng-options="productor.id as productor.persona.fullname for productor in productores" name="id_productor" required>
                    <option value="">-- SELECCIONAR PRODUCTOR --</option>
                  </select>
                 </div>
              </div>
              <div class="col-md-12">
                <div class="form-group">
                  <label for="fecha_inicio">Fecha Inicio</label>
                  <input type="date" class="form-control" id="fecha_inicio" name="fecha_inicio" ng-model="model.fecha_inicio_t" required>
                </div>
              </div>
            </div>
            <div class="mt-20">
              <div class="text-center">
                <button type="submit" ng-if="!flagCrud" class="btn btn-primary btn-border btn-rounded-10"><i class="fa fa-refresh"></i> Cambiar</button>
                <button ng-if="flagCrud" class="btn btn-border btn-rounded-10 btn-default"><i class="fa fa-spinner fa-spin"></i> Cambiando...</button>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="clear()"><i class="fa fa-close"></i> Cancelar</button>
              </div>
            </div>                   
          </form>
        </div>              
      </div>

    </div>
  </script>
  <script  type="text/ng-template" id="sector_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>